Bug 7431 - Тормоза на шаге выбора пакетов
: Тормоза на шаге выбора пакетов
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-packages)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
: 7079
  Show dependency tree
 
Reported: 2005-07-21 23:42 by
Modified: 2006-03-07 10:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-21 23:42:01
Длительная обработка запросов пользователей без какого-либо оповещения о
задержке недопустима. Нужно либо уменьшить время обработки (что
предпочтительно), либо доработать механизмы оповещения для всех задержек
длительностью >1 с.

Если это невозможно, то считаю удаление шага выбора пакетов (и установку
"всех")
меньшим злом в текущей ситуации.
------- Comment #1 From 2005-07-22 13:53:41 -------
Вообще-то 80+% пользователей благополучно пролетят этот шаг ударом по "далее",
поскольку совершенно неочевидно, что от них ожидается.

Поэтому ты скорее прав, так они хоть до рассылок и/или faq в итоге доберутся.
Если, конечно, ссылки на них где-то под рукой /будут/.

PS: скорость работы alterator-packages где-то из installer-2.9.10 на
p166mmx/192M и _полном_ Sisyphus по NFS меня приятно удивила, надо заметить.
------- Comment #2 From 2005-07-22 14:42:01 -------
собственно, курсор в виде часиков предлагался, да руки не дошли.
inger: может, пора ?
------- Comment #3 From 2005-07-28 12:04:48 -------
как только стану многопроцессорной системой всё сделаю. Я всё мечтаю переделать
chooser - это даст очень существенное ускорение, но приоритеты постояно
меняются.
------- Comment #4 From 2005-08-04 19:22:04 -------
начиная с 0.3-alt2 при переходе на шаг 'установка пакетов'
будет выводиться диаложек 'please wait', во время которого
накатывается умолчательный набор пакетов (без коммита).
Прочие места, где есть задержки, пока без изменений --
простого решения нет.
------- Comment #5 From 2005-08-16 19:48:19 -------
полагаю, что состояние alterator-packages-0.3-alt3
достаточно для fixed
------- Comment #6 From 2005-08-21 19:08:47 -------
(In reply to comment #5)
> полагаю, что состояние alterator-packages-0.3-alt3
> достаточно для fixed

Дистрибутив: rc5

Ну если ето белое, никак не гармонирующее белое окошко с уведомлением считать
решением то да.

Хотя и оно не везде выскакивает. Например при переходах с профиля на профиль,
когда время ожидания может достигать 10сек.
------- Comment #7 From 2005-08-21 20:09:34 -------
Начиная с -alt4, 'ето белое, никак не гармонирующее белое окошко'
будет выскакивать при любом перемещении между группами.
------- Comment #8 From 2005-08-31 18:37:36 -------
(In reply to comment #7)
> Начиная с -alt4, 'ето белое, никак не гармонирующее белое окошко'
> будет выскакивать при любом перемещении между группами.

Выскакивает и уже не белое. :)
Будем считать что пофиксено, хотя эргономика никакая.